Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity
Class IdentityContextImpl

    java.lang.Object
      org.jboss.portal.identity.IdentityContextImpl

All Implemented Interfaces:
  IdentityContext

    public class IdentityContextImpl

extends java.lang.Object
implements IdentityContext

Keeps references to all identity related modules to enable them interactions

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary

Fields inherited from interface org.jboss.portal.identity.IdentityContext
`TYPE_CONNECTION_CONTEXT, TYPE_IDENTITY_CONFIGURATION, TYPE_IDENTITY_EVENT_BROADCASTER, TYPE_MEMBERSHIP_MODULE, TYPE_ROLE_MODULE, TYPE_USER_MODULE, TYPE_USER_PROFILE_MODULE`

Constructor Summary
`IdentityContextImpl()`

Method Summary
`java.util.Collection` | `getKeys()`
`java.lang.Object` | `getObject(java.lang.String name)` Retrieve registered identity object
`java.util.Collection` | `getValues()`
`void` | `register(java.lang.Object object, java.lang.String name)` Retister identity object in context
`void` | `unregister(java.lang.String name)` Remove identity object from context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityContextImpl

    public IdentityContextImpl()

Method Detail

### register

    public void register(java.lang.Object object,
                         java.lang.String name)
                  throws IdentityException

  Description copied from interface: `IdentityContext`
  Retister identity object in context

  Specified by:
    `register` in interface `IdentityContext`
  Parameters:
    `object` - representing identity object
    `name` - to map object
  Throws:
    `IdentityException` - thrown if such object is already registered or operation fail.

### unregister

    public void unregister(java.lang.String name)

  Description copied from interface: `IdentityContext`
  Remove identity object from context

  Specified by:
    `unregister` in interface `IdentityContext`
  Parameters:
    `name` - of identity object

### getObject

    public java.lang.Object getObject(java.lang.String name)
                               throws IdentityException

  Description copied from interface: `IdentityContext`
  Retrieve registered identity object

  Specified by:
    `getObject` in interface `IdentityContext`
  Returns:
  Throws:
    `IdentityException` - thrown if no such object exists in context

### getKeys

    public java.util.Collection getKeys()

### getValues

    public java.util.Collection getValues()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD